#! /usr/bin/env python

import os
import shutil
import re

folder = "weights"
if not os.path.exists(folder):
    os.mkdir(folder)

names = os.listdir('.')
for name in names:
    if os.path.isdir(name) and os.path.exists(name + "/config.xml") and os.path.exists(name + "/weight_patches.png"):
        num = int(re.search('[0-9]+',name).group())
        shutil.copyfile(name + "/weight_patches.png", folder + "/weight_patches_{0}.png".format(num));
      
