#include "sdn/dataset.h"
#include <vector>
#include "sdn/gui.h"
#include <Eigen/Core>


using namespace std;
using namespace sdn;
#define NUM_RANDOM_PATCH 100
int main(int argc, char ** argv)
{
  NaturalTestDataset itd(0.5);
  vector<Matrix> random_patches;
  int sz = 14;
  vector<int> row_indices;
  vector<int> col_indices;
  int type = 1;
  //itd.getRandomPatches(sz, sz, NUM_RANDOM_PATCH, random_patches);
  itd.getAllPatchesFromMiddleFrame(sz, sz, type, random_patches, row_indices, col_indices);

  Visualizer v("sample natural patches",14,14,2,5,5);
  v.enableWindow();

  for (unsigned int i=0;i<random_patches.size();i++){
    v.addPatch(random_patches[i]);
    v.wait(25);
  }
  v.showAndStop();
  v.saveImage("test.jpg");
  return 0;
}
