//Author: Ian Goodfellow <ia3n@cs.stanford.edu>
//File: train.h
//Description: Declaration of functions used by train.cc

#pragma once


#include "sdn/dataset.h"
#include "sdn/old.h"



class CommandLineHelper
{
 public:
  std::string dataset;
  bool verbose;
  bool debug;
  std::string type; //type of network to train
  std::string config;
};

void parseCommandLine(int argc, char *argv[], CommandLineHelper & cmd); //todo-- standardize this for all apps, make them all support verbose/debug


