#include "outArchive.h"
using namespace sdn;
using namespace serial;

OutArchive::OutArchive()
{
  nextVaddr_ = 0;
}

bool OutArchive::alreadySerialized_(void * o)
{
  return addrToVaddr_.find(o) != addrToVaddr_.end();
}

Vaddr OutArchive::getVaddr_(void * o)
{
  AddrToVaddr::iterator result = addrToVaddr_.find(o);
  SDN_ASSERT(result != addrToVaddr_.end());
  return result->second;
}

Vaddr OutArchive::registerObject_(void * o)
{
  addrToVaddr_[o] = nextVaddr_;
  Vaddr rval = nextVaddr_;
  ++  nextVaddr_;
  return rval;
}
