//Author: Ian Goodfellow <ia3n@cs.stanford.edu>
//File: strUtils.h
//Description: Basic string utilities

#pragma once

#include <string>


//SDN_MAKE_STRING converts the contents of preprocessor variable x to a C string
#define _SDN_MAKE_STRING( x) #x
#define SDN_MAKE_STRING( x ) _SDN_MAKE_STRING( x )



namespace sdn
{
  ///String utilities
  namespace str
  {

    ///Modifies str such that each instance of a string matching the variable "find" is replaced with the contents of the variable "replace"
    void replaceAll(std::string & str,const std::string & find, const std::string & replace );
  }

}
