//Author: Ian Goodfellow
//File: imageCollectionAMAT.h
//Descript: loads a BasicImageCollection stored as an AMAT dataset

#pragma once

#include "basicImageCollection.h"

namespace sdn
{
  /// A BasicImageCollection capable of loading .amat files
/** (This is the file format used for the MNIST Variations
    dataset from University of Montreal) */
  class ImageCollectionAMAT : public BasicImageCollection
  {
  public:
    ImageCollectionAMAT();
    virtual ~ImageCollectionAMAT();

    void load(XMLNode & root);
  };
}

//SDN_AUTOREGISTER_H(Dataset, ImageCollectionAMAT);
