#pragma once

#include <string>
#include <vector>

#define NUM_GRATING_OFFSET 4
#define NUM_NATURAL_OFFSET 2

namespace sdn{
  class MaxpoolingTemplateMatching
  {
  protected:
    std::vector<Matrix> _templates;
    Scalar _value;
    std::vector<Scalar> _template_norm2s;
    Scalar _max_norm2;
  public: 
    
    MaxpoolingTemplateMatching();

    void setTemplate(const std::vector<Matrix> t);
    void forwardProp(const Matrix x);
    Scalar getActivation();
  };
}
