#include "recordCallback.h"

using namespace sdn;


RecordCallback::RecordCallback() : TrainCallback(0)
{
}

RecordCallback::~RecordCallback() {}

void RecordCallback::callback(TrainState & state) { 
  assert(state.iter == nextIter); 
  long long timeNow = time(NULL);
  SDN_MSG("At iteration "<<state.iter<<" and time "<< (timeNow - state.startTime)); 


  nextIter += 1000; 
}
