/// \author Ian Goodfellow

#include "test.h"
#include "../base/registry.h"
#include "firingRateTest.h"
#include "implicitPositiveTest.h"
using namespace sdn;

Registry<Test> & sdn::TestRegistry()
{
  static Registry<Test> registry("sdn::Test");

  return registry;

}

SDN_AUTOREGISTER(Test,FiringRateTest);
SDN_AUTOREGISTER(Test,ImplicitPositiveTest);
