//Author: Jiquan Ngiam <jngiam@cs.stanford.edu>
//File: scriptRegistry.h
//Description: Sets up the registry of scripts

#pragma once

#include "../stable/abstractScript.h"

namespace sdn {

  template <typename T> class Registry;

  Registry<Script>& ScriptRegistry();
  Registry<ScriptCallback>& ScriptCallbackRegistry();

}

