//Author: Jiquan Ngiam <jngiam@cs.stanford.edu>
//File: composableBlocks.h
//Description: Implementation of blocks used in Composable networks

#pragma once

#include "../abstractBlock.h"
#include "sdn/base.h"
#include <boost/shared_ptr.hpp>
#include <Eigen/Array>

namespace sdn {
  
  class LoadComposableBlocksBlock : public AbstractBlock {

  public:
  
    virtual void loadXML(XMLNode& node) {}
    virtual void initTransientParameters() {}
    virtual void initPersistentParameters() {}
    virtual void serialize(serial::Archive & ar) {}
    
    virtual void loadXMLComposableBlocks(std::vector<boost::shared_ptr<ComposableBlock> >& blocks, 
                                         XMLNode& architectureNode);

  };
  
}
