#! /usr/bin/env python


template = """<sdnConfig>
<sdn::StackedNetworkConfig load_archive="network_2000000.dat"/>  

<UseTrainCallbacks> 
 
  <sdn::TrainCallback id="sdn::GratingTestQuantileThresholdCallback" step="250000" filename="grating_quantile_threshold.dat"/>
  <sdn::TrainCallback id="sdn::GratingTestSlownessCallback" step="250000" filename="grating_slowness.dat"/>
  <sdn::TrainCallback id="sdn::GratingTestVarianceRatioCallback" step="250000" filename="grating_variance_ratio.dat"/>
  <sdn::TrainCallback id="sdn::NaturalTestSlownessCallback" step="250000" filename="natural_slowness.dat"/>
  <sdn::TrainCallback id="sdn::NaturalTestQuantileThresholdCallback" step="250000" filename="natural_quantile_threshold.dat"/>
  <sdn::TrainCallback id="sdn::NaturalTestVarianceRatioCallback" step="250000" filename="natural_variance_ratio.dat"/>

  <sdn::TrainCallback id="sdn::EndTrainingCallback" iter="1"/>
  </UseTrainCallbacks>  
</sdnConfig>"""

import os

names = os.listdir('.')
for name in names:
    if os.path.isdir(name) and os.path.exists(name + "/config.xml"):
        #Write a started file to put a lock on the folder
        f = open(name + "/config_invariance_tests.xml",'w')
        f.write(template);
        f.close()
            
                    
                    
