#! /usr/bin/env python

import os
import time

executable = '''~/src/libsdn/bin/train -n "sdn::StackedNetwork" -s "ng_video" -c "config_invariance_tests.xml"'''

should_continue = True
while should_continue:
    should_continue = False
    some_training_unfinished = False
    names = os.listdir('.')
    for name in names:
        if os.path.isdir(name) and os.path.exists(name + "/config_invariance_tests.xml") and os.path.exists(name + "/finished"):
            if os.path.isdir(name) and os.path.exists(name + "/config_invariance_tests.xml") and not os.path.exists(name + "/started_invariance_tests"):
                #Write a started file to put a lock on the folder
                f = open(name + "/started_invariance_tests",'w')
                f.close()
            
                #Run the executable
                print "Starting " + name
                os.chdir(name);
                os.system(executable)
                os.chdir('..')
                
                #Write finished file
                f = open(name + "/finished_invariance_tests",'w')
                f.close()
                
                #We found an unrun config, so there may be others
                should_continue = True

        else:
            some_training_unfinished = True;
            
    #We ran on all the runs that have finished training, but we should wait around for them to finish
    if some_training_unfinished and not should_continue:
        should_continue = True
        print "Waiting for training to finish\n"
        time.sleep(60*60*10)
        
