#! /usr/bin/env python

import os



started = 0
finished = 0
total = 0

avg_time = -1

names = os.listdir('.')
for name in names:
    if os.path.isdir(name) and os.path.exists(name + "/config.xml"):
        if os.path.exists(name + "/started"):
            started = started + 1
            
        if os.path.exists(name + "/finished"):
            finished = finished + 1
            avg_time = avg_time + os.path.getmtime(name + "/finished") - os.path.getmtime(name + "/started")
                
        total = total + 1

print "{0} jobs running; {1} jobs finished of {2}.".format(started - finished, finished, total)

if(finished > 0):
    avg_time = avg_time / finished
    print "Typical run time {0:1} hours. Hours remaining {1}. ".format(avg_time/60.0/60.0, (total-finished)/(float)(started-finished)*avg_time/60.0/60.0)


