#! /usr/bin/env python

import os

executable = '''~/src/libsdn/bin/train -n "sdn::StackedNetwork" -s "ng_video" -c "config.xml"'''

should_continue = True
while should_continue:
    should_continue = False
    names = os.listdir('.')
    for name in names:
        if os.path.isdir(name) and os.path.exists(name + "/config.xml") and not os.path.exists(name + "/started"):
            #Write a started file to put a lock on the folder
            f = open(name + "/started",'w')
            f.close()
            
            #Run the executable
            print "Starting " + name
            os.chdir(name);
            os.system(executable)
            os.chdir('..')

            #Write finished file
            f = open(name + "/finished",'w')
            f.close()
            
            #We found an unrun config, so there may be others
            should_continue = True



