/// \author Ian Goodfellow
/// \file random.cc
/// \brief Implementation of classes from random.h

#include "random.h"


using namespace sdn;

static unsigned int _sdnDefaultSeed = 0;


RNG::RNG() : generator_(_sdnDefaultSeed)
{

}

RNG::~RNG()
{

}

void RNG::setSeed(unsigned int seed)
{
  generator_ = generator_type(seed); 
}

