//Author: Daniel Chia
//File: basicImageCollectionCIFAR.h
//Descript: loads CIFAR dataset stored as binary file

#pragma once

#include "basicImageCollection.h"

namespace sdn
{
	/// A croppableImageCollection capable of loading CIFAR dataset
  class BasicImageCollectionCIFAR : public BasicImageCollection
  {
  public:
    BasicImageCollectionCIFAR();
    virtual ~BasicImageCollectionCIFAR();

    void load(XMLNode & root);
  };
}

