//Author: Daniel Chia
//File: imageCollectionCIFAR.h
//Descript: loads CIFAR dataset stored as binary file

#pragma once

#include "croppableImageCollection.h"

namespace sdn
{
	/// A croppableImageCollection capable of loading CIFAR dataset
  class ImageCollectionCIFAR : public CroppableImageCollection
  {
  public:
    ImageCollectionCIFAR();
    virtual ~ImageCollectionCIFAR();

    void load(XMLNode & root);
  };
}

