/// \author Ian Goodfellow

#pragma once

#include "visualization.h"

namespace sdn
{

  /// A Visualization that visualizes deeper layers by using the weights at layer i as coefficients for a linear combination of the weight images from layer i-1
  class LinearVisualization : public Visualization
  {
  public:
    
    std::vector<VisImageSet> makeVisualizations(boost::shared_ptr<Network> network);
    
    
    
  };
}
