/// \author Ian Goodfellow

#pragma once

#include "visualization.h"

namespace sdn
{

class Dataset;

/// A Visualization that displays input patches paired with their reconstruction  
class ReconstructionVisualization : public Visualization
  {
  public:
    
    std::vector<VisImageSet> makeVisualizations(boost::shared_ptr<Network> network);
    
  void load(XMLNode & node);  

 protected:
	boost::shared_ptr<Dataset> dataset_;
	unsigned numPatches_;
    
  };
}
