/// \author Ian Goodfellow
/// \file semantics.h
/// \brief A struct explaining how to interpret hidden unit activations

#pragma once

namespace sdn
{

  enum PositiveDirection
  {
    LOW,
    HIGH
  };

  /* not using yet, but might use
  enum SignalCarrier
  {
    VALUE,
    ABS_VALUE
  };
  */

  /// A struct explaining how to intepret hidden unit activations (mainly to be used for conducting invariance tests)
  struct Semantics
  {
    // If HIGH, high values of the signal carrier indicate a positive example (of whatever the unit may have learned to detect).
    PositiveDirection dir;

    /* 
   // Specifies whether the signal of the unit is thought to be in its value or its absolute value
    SignalCarrier signal;
    */
  };


}
