/// \author Ian Goodfellow
/// \file unitScorer.h
/// \brief Abstract base class for compute scores of individual hidden units (behind the scenes they may be computed in batch)

#pragma once

#include <map>
#include "network.h"

namespace sdn
{

  class UnitScorer
  {
  public:
    
    todo-- also use Semantics
    virtual std::map<UnitIterator, double> computeScores(UnitIterator  first, UnitIterator  end) = 0;
    
    
  };
}
