#include "sdn/cuda.h"
#include "gtest/gtest.h"
#include <fstream>
#include <float.h>
#include <stdio.h>
#include <cublas.h>

using namespace sdn;

TEST(CudaMemory, AllocationTest) {
  for(int i = 0; i < 1024; i++)
    CudaMatrix::Ones(1024, 1024);

  std::vector<CudaMatrix> v1;
  for(int i = 0; i < 16384; i++) {
    v1.push_back(CudaMatrix::Ones(32, 32));
  }

  std::vector<CudaMatrix> v0(16384);
  for(int i = 0; i < 16384; i++) {
    v0[i] = CudaMatrix::Ones(32, 32);
  }
}
