/// \author Ian Goodfellow
/// Converts the spatial arrangement of weights between different models
/// Useful for verifying that different implementations of the same algorithm
/// learn the same weights

#pragma once

#include "sdn/base.h"

sdn::Matrix stackedEncoderToStandardLayerWeights(const std::vector<std::vector<sdn::Matrix> > & w);
sdn::Matrix stackedEncoderToStandardLayerBiases(const sdn::Matrix & b);
